For the complete documentation index, see llms.txt. This page is also available as Markdown.

Exchange trading pair codes (instruments)

You can explore all exchanges, assets, and get codes for them using our instrument explorer. Alternatively, if you want to obtain the data in a more programmatic way, use this endpoint.

This data is included in the following Kaiko packages:

  • Reference Data [Basic Tier]

  • Reference Data [Advanced Tier]

What is this endpoint for?

This endpoint retrieves information on instruments (exchange trading pairs) and their associated codes.

Endpoint

https://reference-data-api.kaiko.io/v1/instruments

Parameters

Field
Required?
Description

exchange_code

No

Exchange code. See

base_asset

No

The desired base asset code. See

quote_asset

No

The desired quote asset code. See

code

No

Kaiko identifier for the instrument. Always base_asset-quote_asset for spot instruments.

kaiko_legacy_symbol

No

Kaiko legacy instrument symbol.

class

No

spot, future, perpetual-future, option, etc.

base_asset_class

No

Base asset class.

quote_asset_class

No

Quote asset class.

trade_start_timestamp

No

Starting time in ISO 8601 (inclusive).

trade_end_timestamp

No

Ending time in ISO 8601 (inclusive). Can also use "ongoing" to get ongoing instruments.

trade_count_min

No

Minimum number of trades.

trade_count_max

No

Maximum number of trades.

with_list_pools

No

true or false. For pairs traded on DEXs, provides the list of underlying pools to each instrument.

continuation_token

No

See

limit

No

Maximum number of records to return in one response

orderBy

No

Order results by a specific field. See below for all possible values.

order

No

Return the data in ascending (1) or descending (-1) order

blockchain

No

Filter on a specific blockchain for on-chain instruments.

You can order your request by: exchange_code, class, kaiko_legacy_symbol, trade_start_timestamp, trade_end_timestamp, trade_count, base_asset, quote_asset, code, trade_count_min, trade_count_max

Repeated parameters All parameters, except for trade_count_min/max, trade_start/end_timestamp can be repeated in the URL to filter. For example to get instruments for coinbase & deribit, the request would be instruments?exchange_code=cbse&exchange_code=drbt

Fields

Field
Description

base_asset

Base asset.

class

spot, future, perpetual-future,...

code

Kaiko identifier for the instrument. Always base_asset-quote_asset for spot instruments.

exchange_code

Exchange code. See

exchange_pair_code

Identifier for the instrument used by the exchange. For perpetual futures pairs, the code may differ from the exchange's and include a _perp suffix (e.g., btcusdt_perp).

kaiko_legacy_exchange_slug

Legacy slug for the exchange. See

kaiko_legacy_symbol

Identifier used in past deliveries of historical market data and Data Feed.

quote_asset

Quote asset

trade_start_time

Time of the first available trade in Kaiko's data set.

trade_start_timestamp

Timestamp of the first available trade in Kaiko's data set.

trade_end_time

Time of the last available trade in Kaiko's data set. null if instrument is still active

trade_end_timestamp

Timestamp of the last available trade in Kaiko's data set. null if instrument is still active

trade_count

The total number of trades available through Kaiko Rest API and Kaiko Stream. For active pairs, this is an approximation.

trade_compressed_size

Approximate size in bytes of all available trades in Kaiko Stream.

list_pools

The list of the underlying pools to each instrument. (Only when arg with_list_pools=true is provided).

Request example

Response example

Last updated

Was this helpful?